﻿using System;

namespace NMemcached.Client
{
    /// <summary>
    /// Defines the available memcached communication protocols
    /// </summary>
    public enum ConnectionType
    {
        /// <summary>
        /// The memcached text protocol
        /// </summary>
        Text,
        /// <summary>
        /// The memcached binary protocol
        /// </summary>
        /// <remarks>
        /// <para>Available only to servers running memcached 1.3 or later</para>
        /// </remarks>
        Binary
    };
}
